
import 'dart:async';

import 'package:flutter/services.dart';

class AlicloudImpinteractionClassroom {
  static const MethodChannel _channel = MethodChannel('alicloud_impinteraction_classroom');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> get getBatteryLevel async {
    final String? level = await _channel.invokeMethod('getBatteryLevel');
    return level;
  }

  static Future<String?> init(Map<String, dynamic> param) async {
    final String? result = await _channel.invokeMethod('init', param);
    return result;
  }

  static Future<String?> setUp(Map<String, dynamic> param) async {
    final String? result = await _channel.invokeMethod('setUp', param);
    return result;
  }
}
